org.apache.lucene.util.fst

## Class FST.Arc<T>

- java.lang.Object
- - org.apache.lucene.util.fst.FST.Arc<T>

- Enclosing class:
    FST<T>

      public static final class FST.Arc<T>
      extends Object

  Represents a single arc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `label`
    `T` | `nextFinalOutput`
    `T` | `output`
    `long` | `target` To node (ord or address)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FST.Arc()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FST.Arc<T>` | `copyFrom(FST.Arc<T> other)` Returns this
    `boolean` | `isFinal()`
    `boolean` | `isLast()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### label

          public int label

    - #### output

          public T output

    - #### target

          public long target

      To node (ord or address)

    - #### nextFinalOutput

          public T nextFinalOutput

  - ### Constructor Detail

    - #### FST.Arc

          public FST.Arc()

  - ### Method Detail

    - #### copyFrom

          public FST.Arc<T> copyFrom(FST.Arc<T> other)

      Returns this

    - #### isLast

          public boolean isLast()

    - #### isFinal

          public boolean isFinal()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.